package modeles;

import java.util.Random;

public class Menu {

	public String menuCombat(Monstre mons, Personnage perso) {
		int degat;
		int reponse = 0;
		System.out.println("Un monstre du nom de "+mons.getNom()+" se présente devant vous et il est très en colère :");
		while (true){
			System.out.println("\t - 1° attaquer\n\t - 2° Potion \n\t- 3° Fuir");
			reponse=Clavier.entrerClavierInt();
			switch (reponse) {
			case 1:
				degat = perso.attaquer(mons);
				System.out.println("Vous avez infligé "+degat+" à votre adversaire.");
				if (!mons.isVivant()) {
					perso.salle.cle();
					System.out.println(perso.obtenirBourse());
					return "Votre ennemie trépasse et vous obtenez la clé des portes de la salle.";
				} else {
					System.out.println("Au tour de votre adversaire. Il attaque préparez vous ! ");
					System.out.println("il vous inflige "+ mons.attaquer(perso)+".");
					if (!perso.isVivant()) {
						return "C'est ainsi que vous trépassez sous les coups des ténèbres. Reposez vous héros... Vous avez l'éternité.";
					}
					else System.out.println("votre ennemie n'est pas encore à bout achever le !");
				}
				break;
				
			case 2 :
				if (!perso.getPotion().isEmpty()) {
					perso.utiliser(perso.getPotion().remove(0));
					System.out.println("Vous avez utilisé une potion. Votre vie est maintenant au maximum.");
				} else {
					System.out.println("Il ne vous reste plus de potion. Désolé.");
				}
				break;
				
			case 3 : 
				System.out.println("Vous tentez de fuir.");
				Random rd = new Random();
				if (rd.nextInt(100)<50) {
					return "Vous avez fuit.";
				} else { 
					System.out.println("Ce fut un échec !");
				}
			}
			
		}
	}
}
